Package: org.codehaus.groovy.tools

## [Java] Class Utilities

- org.codehaus.groovy.tools.Utilities

-     public abstract class Utilities
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static String` | `eol()` Returns the end-of-line marker.
    `` | `public static boolean` | `isJavaIdentifier(String name)` Tells if the given string is a valid Java identifier.
    `` | `public static String` | `repeatString(String pattern, int repeats)` Returns a string made up of repetitions of the specified string.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static String eol()

      Returns the end-of-line marker.

    - #### public static boolean isJavaIdentifier(String name)

      Tells if the given string is a valid Java identifier.

    - #### public static String repeatString(String pattern, int repeats)

      Returns a string made up of repetitions of the specified string.